Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
rapidjson::EncodedOutputStream< Encoding, OutputByteStream > Class Template Reference

Output byte stream wrapper with statically bound encoding. More...

`#include <encodedstream.h>`

## Public Types
typedef Encoding::Ch | Ch

## Public Member Functions
| EncodedOutputStream (OutputByteStream &os, bool putBOM=true)
void | Put (Ch c)
void | Flush ()
Ch | Peek () const
Ch | Take ()
size_t | Tell () const
Ch * | PutBegin ()
size_t | PutEnd (Ch *)

## Detailed Description

template<typename Encoding, typename OutputByteStream>
class rapidjson::EncodedOutputStream< Encoding, OutputByteStream >

Output byte stream wrapper with statically bound encoding.

Template Parameters

  Encoding | The interpretation of encoding of the stream. Either UTF8, UTF16LE, UTF16BE, UTF32LE, UTF32BE.
  OutputByteStream | Type of input byte stream. For example, FileWriteStream.

The documentation for this class was generated from the following file:

- include/rapidjson/encodedstream.h